component:
  stage: test-integration
  variables:
    IMAGE: $OPENTOFU_IMAGE_NAME
    OPENTOFU_VERSION: $STABLE_OPENTOFU_VERSION
    TF_STATE_NAME: ci-integration-$CI_PIPELINE_IID-$CI_NODE_INDEX
    TF_ROOT: tests
  trigger:
    include: tests/integration-test/$PIPELINE
    strategy: depend
  rules:
    - if: '$CI_PROJECT_PATH == "components/opentofu"'
      #- if: '$CI_MERGE_REQUEST_EVENT_TYPE == "merge_train"'
  parallel:
    matrix:
      - PIPELINE: [Defaults.gitlab-ci.yml]
